FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Fl_Int_Input Class Reference

The Fl_Int_Input class is a subclass of Fl_Input that only allows the user to type decimal digits (or hex numbers of the form 0xaef). More...

`#include <Fl_Int_Input.H>`

Inheritance diagram for Fl_Int_Input:

List of all members.

## Public Member Functions
| Fl_Int_Input (int X, int Y, int W, int H, const char *l=0)
| Creates a new Fl_Int_Input widget using the given position, size, and label string.

## Detailed Description

The Fl_Int_Input class is a subclass of Fl_Input that only allows the user to type decimal digits (or hex numbers of the form 0xaef).

## Constructor & Destructor Documentation

Fl_Int_Input::Fl_Int_Input | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | const char * | l = `0`
| ) |  |

Creates a new Fl_Int_Input widget using the given position, size, and label string.

The default boxtype is FL_DOWN_BOX.

Inherited destructor destroys the widget and any value associated with it.

The documentation for this class was generated from the following files:

- Fl_Int_Input.H
- Fl_Input.cxx